.step-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
}
.step-block__info {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 36px;
    padding: 0 24px;
    border: 2px solid var(--color-white);
    font-family: var(--font-secondary);
    font-weight: 500;
    font-size: 14px;
    line-height: 1.2;
    text-transform: uppercase;
    color: var(--color-white);
    border-radius: 100px;
    gap: 5px;
}
.step-block__title {
    font-family: var(--font-secondary);
    font-weight: 700;
    font-size: 32px;
    line-height: 1.2;
    text-align: center;
    text-transform: uppercase;
}
.step-block__group {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 100%;
    max-width: 630px;
}
.step-block .form-group {
    width: 100%;
}
@media screen and (min-width: 768px) {
    .step-block {
        gap: 60px;
    }
    .step-block__info {
        height: 48px;
        padding: 0 36px;
        font-size: 18px;
    }
    .step-block__title {
        font-size: 40px;
    }
}
@media screen and (min-width: 992px) {
    .step-block__title {
        font-size: 50px;
    }
}

.step-form {
    display: flex;
    flex-direction: column;
    row-gap: 36px;
    max-width: 100%;
}
.step-form__title {
    font-weight: 700;
    font-size: 24px;
    line-height: 1.16;
    margin-bottom: 24px;
}
.step-form__products {}
.step-form__fields {}
.step-form__panel {
    padding: 15px;
    background: var(--color-dark);
    border-radius: var(--radius-md);
    display: flex;
    flex-direction: column;
    gap: 36px;
}
.step-form__action {
    display: flex;
    flex-direction: column;
    gap: 24px;
}
@media screen and (max-width: 767px) {
    .step-form__title {
        text-align: center;
    }
}
@media screen and (min-width: 768px) {
    .step-form__title {
        margin-bottom: 36px;
    }
    .step-form__panel {
        padding: 24px;
    }
    .step-form__action {
        gap: 36px;
    }
}
@media screen and (min-width: 992px) {
    .step-form {
        display: grid;
        grid-template-areas:
            "stepFormFields stepFormProducts" 
            "stepFormFields stepFormAction" 
            "stepFormFields spacer";
        grid-template-columns: auto 33.57%;
        grid-column-gap: 70px;
        grid-row-gap: 35px;
    }
    .step-form__products {
        grid-area: stepFormProducts;
    }
    .step-form__fields {
        grid-area: stepFormFields;
    }
    .step-form__panel {
        padding: 36px 36px;
    }
    .step-form__action {
        grid-area: stepFormAction;
    }
}
@media screen and (min-width: 1240px) {
    .step-form__panel {
        padding: 36px 94px;
    }
}

